### Method

# Hinawa FwFcp command

since: 4.0

#### Declaration [src]

    gboolean
    hinawa_fw_fcp_command (
      HinawaFwFcp* self,
      const guint8* cmd,
      gsize cmd_size,
      guint timeout_ms,
      GError** error
    )

#### Description [src]

Transfer command frame for FCP. When receiving response frame for FCP, `HinawaFwFcp::responded` signal is emitted.

Available since: 4.0

#### Parameters

`cmd`

  Type: An array of `guint8`

  An array with elements for request byte data. The value of this argument should point to the array and immutable.

  The length of the array is specified in the `cmd_size` argument.
  The data is owned by the caller of the method.

`cmd_size`

  Type: `gsize`

  The size of array for request in byte unit.

`timeout_ms`

  Type: `guint`

  The timeout to wait for response subaction of transaction for command frame.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

TRUE if the overall operation finishes successfully, otherwise FALSE.